Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lease
Class ExpirationWarningEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              net.jini.lease.ExpirationWarningEvent

All Implemented Interfaces:
  Serializable

public class ExpirationWarningEvent
extends RemoteEvent

Event generated by a lease renewal set when its lease is about to expire.

See Also:
  `LeaseRenewalSet`, Serialized Form

Field Summary

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`ExpirationWarningEvent(LeaseRenewalSet source, long seqNum, MarshalledObject handback)` Simple constructor.

Method Summary
`Lease` | `getRenewalSetLease()` Convenience method to retrieve the `Lease` associated with the source of this event.

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpirationWarningEvent

    public ExpirationWarningEvent(LeaseRenewalSet source,
                                  long seqNum,
                                  MarshalledObject handback)

  Simple constructor. Note event id is fixed to `LeaseRenewalSet.EXPIRATION_WARNING_EVENT_ID`.

Parameters:
  `source` - the `LeaseRenewalSet` that generated the event
  `seqNum` - the sequence number of this event
  `handback` - the `MarshalledObject` passed in as part of the event registration

Method Detail

### getRenewalSetLease

    public Lease getRenewalSetLease()

  Convenience method to retrieve the `Lease` associated with the source of this event. This is the `Lease` which is about to expire.

  The `Lease` object returned will be equivalent (in the sense of `equals`) to other `Lease` objects associated with the set, but may not be the same object. One notable consequence of having two different objects is that the `getExpiration` method of the `Lease` object returned by this method may return a different time than the `getExpiration` methods of other `Lease` objects granted on the same set.

  The expiration time associated with the `Lease` object returned by this method will reflect the expiration the lease had when the event occurred. Renewal calls may have changed the expiration time of the underlying lease between the time when the event was generated and when it was delivered.

  Returns:
    the lease associated with the source of this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved